Bug 451053 - Plasma sometimes crashes in SystemTray::onEnabledAppletsChanged() when I attached an external monitor or change the desktop layout
Summary: Plasma sometimes crashes in SystemTray::onEnabledAppletsChanged() when I atta...
Status: RESOLVED DUPLICATE of bug 453726
Alias: None
Product: plasmashell
Classification: Plasma
Component: System Tray (show other bugs)
Version: 5.24.2
Platform: Neon Linux
: NOR crash
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords: drkonqi
: 451114 451791 451864 454857 (view as bug list)
Depends on:
Blocks:
 
Reported: 2022-03-02 19:47 UTC by dhanav
Modified: 2022-06-06 19:41 UTC (History)
7 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description dhanav 2022-03-02 19:47:02 UTC
Application: plasmashell (5.24.2)

Qt Version: 5.15.3
Frameworks Version: 5.91.0
Operating System: Linux 5.13.0-30-generic x86_64
Windowing System: Wayland
Distribution: KDE neon User - 5.24
DrKonqi: 5.24.2 [KCrashBackend]

-- Information about the crash:
- What I was doing when the application crashed:
I attached an external monitor and changed the resolution of the external monitor.

The crash can be reproduced sometimes.

-- Backtrace:
Application: Plasma (plasmashell), signal: Segmentation fault

[New LWP 3507]
[New LWP 3508]
[New LWP 3516]
[New LWP 3545]
[New LWP 3572]
[New LWP 3707]
[New LWP 3710]
[New LWP 3711]
[New LWP 3712]
[New LWP 3714]
[New LWP 3715]
[New LWP 3716]
[New LWP 3983]
[New LWP 4010]
[New LWP 4011]
[New LWP 4012]
[New LWP 4461]
[New LWP 4462]
[New LWP 4463]
[New LWP 4464]
[New LWP 4465]
[New LWP 4466]
[New LWP 4467]
[New LWP 4468]
[New LWP 4469]
[New LWP 4484]
[New LWP 4485]
[New LWP 4486]
[New LWP 4487]
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
0x00007fe3a9ccd9cf in __GI___poll (fds=0x7ffc15fe5c78, nfds=1, timeout=1000) at ../sysdeps/unix/sysv/linux/poll.c:29
__preamble__
[Current thread is 1 (Thread 0x7fe3a5e204c0 (LWP 3490))]

Thread 30 (Thread 0x7fe32e7ff700 (LWP 4487)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcf47e0e4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcf47e090, cond=0x556bcf47e0b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcf47e0b8, mutex=0x556bcf47e090) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bcf47e090) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bcf4a7fd8, mutex=mutex@entry=0x556bcf4a7fd0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bcf4a7fc8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bcf4a7f30) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bcf4a7f30) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcf4a7f30) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 29 (Thread 0x7fe31bfff700 (LWP 4486)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bd0b82690) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bd0b82640, cond=0x556bd0b82668) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bd0b82668, mutex=0x556bd0b82640) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 28 (Thread 0x7fe2bb7fe700 (LWP 4485)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bd0b4f0e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bd0b4f090, cond=0x556bd0b4f0b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bd0b4f0b8, mutex=0x556bd0b4f090) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 27 (Thread 0x7fe31b7fe700 (LWP 4484)):
#0  0x00007fe3a9cda49e in epoll_wait (epfd=85, events=0x7fe31b7fd7f0, maxevents=32, timeout=-1) at ../sysdeps/unix/sysv/linux/epoll_wait.c:30
#1  0x00007fe37805727b in ?? () from /usr/lib/x86_64-linux-gnu/spa-0.2/support/libspa-support.so
#2  0x00007fe3780496f4 in ?? () from /usr/lib/x86_64-linux-gnu/spa-0.2/support/libspa-support.so
#3  0x00007fe372d940e0 in ?? () from /lib/x86_64-linux-gnu/libpipewire-0.3.so.0
#4  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#5  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 26 (Thread 0x7fe337b71700 (LWP 4469)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bce7c63f4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bce7c63a0, cond=0x556bce7c63c8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bce7c63c8, mutex=0x556bce7c63a0) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bce7c63a0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bcf1f6858, mutex=mutex@entry=0x556bcf1f6850, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bcf1f6848) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bcf1f67b0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bcf1f67b0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcf1f67b0) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 25 (Thread 0x7fe2bbfff700 (LWP 4468)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcf7d0b80) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcf7d0b30, cond=0x556bcf7d0b58) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcf7d0b58, mutex=0x556bcf7d0b30) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 24 (Thread 0x7fe2b9ffb700 (LWP 4467)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcf365ea4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcf365e50, cond=0x556bcf365e78) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcf365e78, mutex=0x556bcf365e50) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 23 (Thread 0x7fe3401ee700 (LWP 4466)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcd26e3e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcd26e390, cond=0x556bcd26e3b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcd26e3b8, mutex=0x556bcd26e390) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bcd26e390) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bce826a88, mutex=mutex@entry=0x556bce826a80, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bce826a78) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bce8269e0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bce8269e0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bce8269e0) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 22 (Thread 0x7fe352bd4700 (LWP 4465)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bce9dd000) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bce9dcfb0, cond=0x556bce9dcfd8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bce9dcfd8, mutex=0x556bce9dcfb0) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 21 (Thread 0x7fe3471ec700 (LWP 4464)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bce95e9c0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bce95e970, cond=0x556bce95e998) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bce95e998, mutex=0x556bce95e970) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 20 (Thread 0x7fe3479ed700 (LWP 4463)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bce3615d4) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bce361580, cond=0x556bce3615a8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bce3615a8, mutex=0x556bce361580) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bce361580) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bca775a58, mutex=mutex@entry=0x556bca775a50, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bca775a48) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bca7759b0) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bca7759b0) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bca7759b0) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 19 (Thread 0x7fe3481ee700 (LWP 4462)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bce8e0380) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bce8e0330, cond=0x556bce8e0358) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bce8e0358, mutex=0x556bce8e0330) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 18 (Thread 0x7fe3361ee700 (LWP 4461)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bce834fd0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bce834f80, cond=0x556bce834fa8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bce834fa8, mutex=0x556bce834f80) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 17 (Thread 0x7fe309e5f700 (LWP 4012)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcc622e80) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcc622e30, cond=0x556bcc622e58) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcc622e58, mutex=0x556bcc622e30) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bcc622e30) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bcc621618, mutex=mutex@entry=0x556bcc621610, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bcc621608) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bcc621570) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bcc621570) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcc621570) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 16 (Thread 0x7fe30aed1700 (LWP 4011)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcc6bd5b0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcc6bd560, cond=0x556bcc6bd588) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcc6bd588, mutex=0x556bcc6bd560) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 15 (Thread 0x7fe30a680700 (LWP 4010)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcc553e50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcc553e00, cond=0x556bcc553e28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcc553e28, mutex=0x556bcc553e00) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 14 (Thread 0x7fe318e7a700 (LWP 3983)):
#0  0x00007fe3a85b24dd in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fe3a85648fa in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe3a856529b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe3a85654a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fe3aa29ea0b in QEventDispatcherGlib::processEvents (this=0x7fe2dc000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#5  0x00007fe3aa242c9b in QEventLoop::exec (this=this@entry=0x7fe318e79ba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#6  0x00007fe3aa05c362 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#7  0x00007fe318f5a07c in KCupsConnection::run() () from /lib/x86_64-linux-gnu/libkcupslib.so
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcbe139c0) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 13 (Thread 0x7fe35ffff700 (LWP 3716)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcb467634) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcb4675e0, cond=0x556bcb467608) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcb467608, mutex=0x556bcb4675e0) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bcb4675e0) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bcb6299e8, mutex=mutex@entry=0x556bcb6299e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bcb6299d8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bcb629940) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bcb629940) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcb629940) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 12 (Thread 0x7fe370bfd700 (LWP 3715)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcb700d20) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcb700cd0, cond=0x556bcb700cf8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcb700cf8, mutex=0x556bcb700cd0) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 11 (Thread 0x7fe3713fe700 (LWP 3714)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcb6566c0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcb656670, cond=0x556bcb656698) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcb656698, mutex=0x556bcb656670) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 10 (Thread 0x7fe373fff700 (LWP 3712)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcb4d7d84) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcb4d7d30, cond=0x556bcb4d7d58) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcb4d7d58, mutex=0x556bcb4d7d30) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bcb4d7d30) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=this@entry=0x556bcb4cb8e8, mutex=mutex@entry=0x556bcb4cb8e0, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3abcd7c44 in QSGRenderThreadEventQueue::takeEvent (wait=true, this=0x556bcb4cb8d8) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qdeadlinetimer.h:68
#6  QSGRenderThread::processEventsAndWaitForMore (this=this@entry=0x556bcb4cb840) at scenegraph/qsgthreadedrenderloop.cpp:936
#7  0x00007fe3abcd80b9 in QSGRenderThread::run (this=0x556bcb4cb840) at scenegraph/qsgthreadedrenderloop.cpp:1053
#8  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcb4cb840) at thread/qthread_unix.cpp:331
#9  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#10 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 9 (Thread 0x7fe378a48700 (LWP 3711)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcb5923e0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcb592390, cond=0x556bcb5923b8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcb5923b8, mutex=0x556bcb592390) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 8 (Thread 0x7fe38ccbe700 (LWP 3710)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bcb4f24f0) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bcb4f24a0, cond=0x556bcb4f24c8) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bcb4f24c8, mutex=0x556bcb4f24a0) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 7 (Thread 0x7fe37bfff700 (LWP 3707)):
#0  0x00007fe3a9ccd9cf in __GI___poll (fds=0x7fe3740373d0, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe3a856536e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe3a85654a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe3aa29ea0b in QEventDispatcherGlib::processEvents (this=0x7fe37402e3e0, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fe3aa242c9b in QEventLoop::exec (this=this@entry=0x7fe37bffeba0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fe3aa05c362 in QThread::exec (this=this@entry=0x556bcb44c670) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fe3abc1240a in QQuickPixmapReader::run (this=0x556bcb44c670) at util/qquickpixmapcache.cpp:1024
#7  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bcb44c670) at thread/qthread_unix.cpp:331
#8  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 6 (Thread 0x7fe387fff700 (LWP 3572)):
#0  0x00007fe3a9ccd9cf in __GI___poll (fds=0x7fe37c004e60, nfds=1, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe3a856536e in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe3a85654a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe3aa29ea0b in QEventDispatcherGlib::processEvents (this=0x7fe37c000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#4  0x00007fe3aa242c9b in QEventLoop::exec (this=this@entry=0x7fe387ffebc0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#5  0x00007fe3aa05c362 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#6  0x00007fe3ab878569 in ?? () from /lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bca73a0c0) at thread/qthread_unix.cpp:331
#8  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#9  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 5 (Thread 0x7fe39cd7f700 (LWP 3545)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bca3ffec8) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bca3ffe78, cond=0x556bca3ffea0) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bca3ffea0, mutex=0x556bca3ffe78) at pthread_cond_wait.c:638
#3  0x00007fe39263a5eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#4  0x00007fe39263a1eb in ?? () from /usr/lib/x86_64-linux-gnu/dri/iris_dri.so
#5  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#6  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 4 (Thread 0x7fe39ffff700 (LWP 3516)):
#0  0x00007fe3a85618ed in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007fe3a8563345 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007fe3a856482b in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007fe3a856529b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007fe3a85654a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007fe3aa29ea0b in QEventDispatcherGlib::processEvents (this=0x7fe394000b60, flags=...) at kernel/qeventdispatcher_glib.cpp:425
#6  0x00007fe3aa242c9b in QEventLoop::exec (this=this@entry=0x7fe39fffebb0, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#7  0x00007fe3aa05c362 in QThread::exec (this=<optimized out>) at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#8  0x00007fe3aabd3f4b in ?? () from /lib/x86_64-linux-gnu/libQt5DBus.so.5
#9  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x7fe3aac57d80) at thread/qthread_unix.cpp:331
#10 0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#11 0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 3 (Thread 0x7fe3a4d6d700 (LWP 3508)):
#0  0x00007fe3a9ccd9cf in __GI___poll (fds=0x7fe3a4d6cbe0, nfds=2, timeout=-1) at ../sysdeps/unix/sysv/linux/poll.c:29
#1  0x00007fe3a80c8996 in ?? () from /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#2  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bca3f7430) at thread/qthread_unix.cpp:331
#3  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#4  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 2 (Thread 0x7fe3a556e700 (LWP 3507)):
#0  futex_wait_cancelable (private=<optimized out>, expected=0, futex_word=0x556bca3fde50) at ../sysdeps/nptl/futex-internal.h:183
#1  __pthread_cond_wait_common (abstime=0x0, clockid=0, mutex=0x556bca3fde00, cond=0x556bca3fde28) at pthread_cond_wait.c:508
#2  __pthread_cond_wait (cond=0x556bca3fde28, mutex=0x556bca3fde00) at pthread_cond_wait.c:638
#3  0x00007fe3aa0636db in QWaitConditionPrivate::wait (deadline=..., this=0x556bca3fde00) at thread/qwaitcondition_unix.cpp:146
#4  QWaitCondition::wait (this=<optimized out>, mutex=0x556bca3f6f78, deadline=...) at thread/qwaitcondition_unix.cpp:225
#5  0x00007fe3a80c893d in ?? () from /lib/x86_64-linux-gnu/libQt5WaylandClient.so.5
#6  0x00007fe3aa05d543 in QThreadPrivate::start (arg=0x556bca3f6f40) at thread/qthread_unix.cpp:331
#7  0x00007fe3a9b40609 in start_thread (arg=<optimized out>) at pthread_create.c:477
#8  0x00007fe3a9cda163 in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:95

Thread 1 (Thread 0x7fe3a5e204c0 (LWP 3490)):
[KCrash Handler]
#4  0x00007fe3ac33f01a in ?? () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
#5  0x00007fe3ac33b116 in Plasma::Containment::applets() const () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
#6  0x00007fe39c084e47 in SystemTray::onEnabledAppletsChanged (this=0x556bcd043760) at ./applets/systemtray/systemtray.cpp:292
#7  0x00007fe3aa27b1be in QtPrivate::QSlotObjectBase::call (a=0x7ffc15fe71a0, r=0x556bcd043760, this=0x556bca5c99b0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#8  doActivate<false> (sender=0x556bcd014380, signal_index=4, argv=0x7ffc15fe71a0) at kernel/qobject.cpp:3886
#9  0x00007fe3aa274587 in QMetaObject::activate (sender=sender@entry=0x556bcd014380, m=m@entry=0x7fe39c0dc4c0 <SystemTraySettings::staticMetaObject>, local_signal_index=local_signal_index@entry=1, argv=argv@entry=0x7ffc15fe71a0) at kernel/qobject.cpp:3946
#10 0x00007fe39c085ffe in SystemTraySettings::enabledPluginsChanged (this=this@entry=0x556bcd014380, _t1=..., _t2=...) at ./obj-x86_64-linux-gnu/applets/systemtray/systemtraymodel_static_autogen/EWIEGA46WW/moc_systemtraysettings.cpp:152
#11 0x00007fe39c0aa827 in SystemTraySettings::notifyAboutChangedEnabledPlugins (this=this@entry=0x556bcd014380, enabledPluginsOld=..., enabledPluginsNew=...) at ./applets/systemtray/systemtraysettings.cpp:163
#12 0x00007fe39c0aa9ef in SystemTraySettings::loadConfig (this=0x556bcd014380) at ./applets/systemtray/systemtraysettings.cpp:120
#13 SystemTraySettings::loadConfig (this=0x556bcd014380) at ./applets/systemtray/systemtraysettings.cpp:107
#14 0x00007fe3aa27b1be in QtPrivate::QSlotObjectBase::call (a=0x7ffc15fe7340, r=0x556bcd014380, this=0x556bcd01ead0) at ../../include/QtCore/../../src/corelib/kernel/qobjectdefs_impl.h:398
#15 doActivate<false> (sender=0x556bcd046030, signal_index=3, argv=0x7ffc15fe7340) at kernel/qobject.cpp:3886
#16 0x00007fe3aa274587 in QMetaObject::activate (sender=sender@entry=0x556bcd046030, m=m@entry=0x7fe3aaccbf40 <KCoreConfigSkeleton::staticMetaObject>, local_signal_index=local_signal_index@entry=0, argv=argv@entry=0x0) at kernel/qobject.cpp:3946
#17 0x00007fe3aac75e54 in KCoreConfigSkeleton::configChanged (this=this@entry=0x556bcd046030) at ./obj-x86_64-linux-gnu/src/core/KF5ConfigCore_autogen/EWIEGA46WW/moc_kcoreconfigskeleton.cpp:154
#18 0x00007fe3aaca4f7e in KCoreConfigSkeleton::save (this=0x556bcd046030) at ./src/core/kcoreconfigskeleton.cpp:1245
#19 0x00007fe3ac281f68 in KDeclarative::ConfigPropertyMapPrivate::writeConfig (this=0x556bcd257160) at /usr/include/c++/9/bits/atomic_base.h:413
#20 KDeclarative::ConfigPropertyMapPrivate::writeConfig (this=0x556bcd257160) at ./src/kdeclarative/configpropertymap.cpp:125
#21 0x00007fe3ac28200d in KDeclarative::ConfigPropertyMap::~ConfigPropertyMap (this=0x556bcd256900, __in_chrg=<optimized out>) at ./src/kdeclarative/configpropertymap.cpp:65
#22 0x00007fe3ac28202d in KDeclarative::ConfigPropertyMap::~ConfigPropertyMap (this=0x556bcd256900, __in_chrg=<optimized out>) at ./src/kdeclarative/configpropertymap.cpp:62
#23 0x00007fe3aa26e7ae in QObjectPrivate::deleteChildren (this=0x556bcd010a30) at kernel/qobject.cpp:2104
#24 0x00007fe3aa2791e6 in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#25 0x00007fe3abd2239a in QQuickItem::~QQuickItem (this=0x556bcd00cca0, __in_chrg=<optimized out>) at items/qquickitem.cpp:2380
#26 0x00007fe3ac6421d9 in PlasmaQuick::AppletQuickItem::~AppletQuickItem() () from /lib/x86_64-linux-gnu/libKF5PlasmaQuick.so.5
#27 0x00007fe39c458807 in ContainmentInterface::~ContainmentInterface (this=0x556bcd00cca0, __in_chrg=<optimized out>) at /usr/include/x86_64-linux-gnu/qt5/QtCore/qsharedpointer_impl.h:159
#28 ContainmentInterface::~ContainmentInterface (this=0x556bcd00cca0, __in_chrg=<optimized out>) at ./src/scriptengines/qml/plasmoid/containmentinterface.h:38
#29 0x00007fe3aa26e7ae in QObjectPrivate::deleteChildren (this=0x556bcd045670) at kernel/qobject.cpp:2104
#30 0x00007fe3aa2791e6 in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#31 0x00007fe39c43fad8 in DeclarativeAppletScript::~DeclarativeAppletScript (this=0x556bcd045d30, __in_chrg=<optimized out>) at ./src/scriptengines/qml/plasmoid/declarativeappletscript.cpp:56
#32 DeclarativeAppletScript::~DeclarativeAppletScript (this=0x556bcd045d30, __in_chrg=<optimized out>) at ./src/scriptengines/qml/plasmoid/declarativeappletscript.cpp:58
#33 0x00007fe3ac34c3f8 in ?? () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
#34 0x00007fe3ac34c5fd in ?? () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
#35 0x00007fe3ac33440e in Plasma::Applet::~Applet() () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
#36 0x00007fe39c0822bd in SystemTray::~SystemTray (this=0x556bcd043760, __in_chrg=<optimized out>) at ./applets/systemtray/systemtray.cpp:41
#37 0x00007fe3aa26e7ae in QObjectPrivate::deleteChildren (this=0x556bcd011100) at kernel/qobject.cpp:2104
#38 0x00007fe3aa2791e6 in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#39 0x00007fe39c4cdfcd in SystemTrayContainer::~SystemTrayContainer (this=0x556bcd011210, __in_chrg=<optimized out>) at ./applets/systemtray/container/systemtraycontainer.cpp:21
#40 0x00007fe3aa26e7ae in QObjectPrivate::deleteChildren (this=0x556bca6a69f0) at kernel/qobject.cpp:2104
#41 0x00007fe3aa2791e6 in QObject::~QObject (this=<optimized out>, __in_chrg=<optimized out>) at kernel/qobject.cpp:1082
#42 0x00007fe3ac33a62d in Plasma::Containment::~Containment() () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
#43 0x00007fe3aa271ad3 in QObject::event (this=0x556bca73b380, e=0x556bcd980ff0) at kernel/qobject.cpp:1301
#44 0x00007fe3aaf59dc3 in QApplicationPrivate::notify_helper (this=this@entry=0x556bca3e1610, receiver=receiver@entry=0x556bca73b380, e=e@entry=0x556bcd980ff0) at kernel/qapplication.cpp:3632
#45 0x00007fe3aaf62bb8 in QApplication::notify (this=0x7ffc15fe7f90, receiver=0x556bca73b380, e=0x556bcd980ff0) at kernel/qapplication.cpp:3156
#46 0x00007fe3aa24419a in QCoreApplication::notifyInternal2 (receiver=0x556bca73b380, event=0x556bcd980ff0) at ../../include/QtCore/5.15.3/QtCore/private/../../../../../src/corelib/thread/qthread_p.h:332
#47 0x00007fe3aa246aa1 in QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x556bca3baef0) at kernel/qcoreapplication.cpp:1821
#48 0x00007fe3aa29f397 in postEventSourceDispatch (s=0x556bca3fa4e0) at kernel/qeventdispatcher_glib.cpp:277
#49 0x00007fe3a856517d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#50 0x00007fe3a8565400 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#51 0x00007fe3a85654a3 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#52 0x00007fe3aa29e9f2 in QEventDispatcherGlib::processEvents (this=0x556bca3fb1a0, flags=...) at kernel/qeventdispatcher_glib.cpp:423
#53 0x00007fe3aa242c9b in QEventLoop::exec (this=this@entry=0x7ffc15fe7e70, flags=..., flags@entry=...) at ../../include/QtCore/../../src/corelib/global/qflags.h:141
#54 0x00007fe3aa24ae44 in QCoreApplication::exec () at ../../include/QtCore/../../src/corelib/global/qflags.h:121
#55 0x0000556bc86e4d95 in main (argc=<optimized out>, argv=<optimized out>) at ./shell/main.cpp:238
[Inferior 1 (process 3490) detached]

The reporter indicates this bug may be a duplicate of or related to bug 450325.

Possible duplicates by query: bug 450723, bug 450594, bug 450325, bug 450113, bug 449981.

Reported using DrKonqi
Comment 1 Nate Graham 2022-03-22 00:30:28 UTC
> #6  0x00007fe39c084e47 in SystemTray::onEnabledAppletsChanged (this=0x556bcd043760) at ./applets/systemtray/systemtray.cpp:292


Here's line 292 for that file, plus context:
> void SystemTray::onEnabledAppletsChanged()
> {
>     // remove all that are not allowed anymore
>     const auto appletsList = applets();
>     for (Plasma::Applet *applet : appletsList) {
>         // Here it should always be valid.
>         // for some reason it not always is.
>         if (!applet->pluginMetaData().isValid()) {
>             applet->config().parent().deleteGroup();        <-----------------------Line 292
>             applet->deleteLater();
>         } else {
>             const QString task = applet->pluginMetaData().pluginId();
>             if (!m_settings->isEnabledPlugin(task)) {
>                 // in those cases we do delete the applet config completely
>                 // as they were explicitly disabled by the user
>                 applet->config().parent().deleteGroup();
>                 applet->deleteLater();
>                 m_configGroupIds.remove(task);
>             }
>         }
>     }
> }

Not a code expert, can't tell if this is an issue in the System Tray, or deeper in plasma framework. Unfortunately the first two lines of the backtrace don't have debug symbols:

> #4  0x00007fe3ac33f01a in ?? () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5
> #5  0x00007fe3ac33b116 in Plasma::Containment::applets() const () from /lib/x86_64-linux-gnu/libKF5Plasma.so.5

Could you please install debug symbols for frameworks-plasma, reproduce the crash, and attach a new symbolicated backtrace? See https://community.kde.org/Guidelines_and_HOWTOs/Debugging/How_to_create_useful_crash_reports

Thanks again!
Comment 2 Nate Graham 2022-03-22 02:23:46 UTC
*** Bug 451114 has been marked as a duplicate of this bug. ***
Comment 3 Nate Graham 2022-03-26 16:42:31 UTC
*** Bug 451864 has been marked as a duplicate of this bug. ***
Comment 4 Nate Graham 2022-03-27 05:08:14 UTC
*** Bug 451791 has been marked as a duplicate of this bug. ***
Comment 5 Nate Graham 2022-05-13 15:34:26 UTC
Looks like this just got fixed by the fix for Bug 453726!

If anyone can still reproduce the issue by getting a crash with the same backtrace after upgrading to Plasma 5.24.6, please feel free to re-open this, though.

*** This bug has been marked as a duplicate of bug 453726 ***
Comment 6 Nate Graham 2022-06-06 19:41:04 UTC
*** Bug 454857 has been marked as a duplicate of this bug. ***